class AdminMailer < ApplicationMailer
  default to: %w(bray@bigmedia.ai lee@bigmedia.ai)

  def new_video(video)
    @video = video

    mail \
      subject: "[New Video] #{video.project.account.name} has uploaded a new video"
  end

  def updated_video_edl_file(video)
    @video = video
    @edl_type_updated = "An EDL"

    mail(
      subject: "[Updated Video EDL File] #{video.project.account.name} has updated the EDL file for #{video.file.filename}",
      template_name: "updated_video_edl_file"
    )
  end

  def updated_video_graphics_only_edl_file(video)
    @video = video
    @edl_type_updated = "A Graphics Only EDL"

    mail(
      subject: "[Updated Video Graphics Only EDL File] #{video.project.account.name} has updated the Graphics Only EDL file for #{video.file.filename}",
      template_name: "updated_video_edl_file"
    )
  end

  def updated_video_audio_only_edl_file(video)
    @video = video
    @edl_type_updated = "An Audio Only EDL"

    mail(
      subject: "[Updated Video Audio Only EDL File] #{video.project.account.name} has updated the Audio Only EDL file for #{video.file.filename}",
      template_name: "updated_video_edl_file"
    )
  end
end
